Package org.apache.nutch.indexer

## Class IndexerOutputFormat

- java.lang.Object
- - org.apache.hadoop.mapreduce.OutputFormat<K,​V>
  - - org.apache.hadoop.mapreduce.lib.output.FileOutputFormat<Text,​NutchIndexAction>
    - - org.apache.nutch.indexer.IndexerOutputFormat

-     public class IndexerOutputFormat
      extends FileOutputFormat<Text,​NutchIndexAction>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `FileOutputFormat.Counter`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `BASE_OUTPUT_NAME, COMPRESS, COMPRESS_CODEC, COMPRESS_TYPE, OUTDIR, PART`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndexerOutputFormat()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RecordWriter<Text,​NutchIndexAction>` | `getRecordWriter​(TaskAttemptContext context)` |

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `checkOutputSpecs, getCompressOutput, getDefaultWorkFile, getOutputCommitter, getOutputCompressorClass, getOutputName, getOutputPath, getPathForWorkFile, getUniqueFile, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputName, setOutputPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexerOutputFormat

          public IndexerOutputFormat()

  - ### Method Detail

    - #### getRecordWriter

          public RecordWriter<Text,​NutchIndexAction> getRecordWriter​(TaskAttemptContext context)
                                                                    throws IOException

      Specified by:
        `getRecordWriter` in class `FileOutputFormat<Text,​NutchIndexAction>`
      Throws:
        `IOException`